Bug 133107 - [Update]graphics/geos:update to 3.1.0
Summary: [Update]graphics/geos:update to 3.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-27 01:10 UTC by wenheping
Modified: 2009-04-11 09:20 UTC (History)
0 users

See Also:


Attachments
file.diff (4.21 KB, patch)
2009-03-27 01:10 UTC, wenheping
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description wenheping 2009-03-27 01:10:00 UTC
1 update to 3.1.0 from 3.0.3

2 for the ports depend on geos:
   graphics/qgis
   graphics/mapnik  
could be built well with geos3.1.0

   while 
     devel/py-Shapely 
     databases/spatialite

should be patched, I will send PRs to patch it later.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-03-27 01:10:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2009-03-27 01:10:12 UTC
Maintainer of graphics/geos,

Please note that PR ports/133107 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/133107

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2009-03-27 01:10:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Konstantin Saurbier 2009-03-31 19:41:29 UTC
Hi,

the patch looks good and so I approve it.
Great work Wen Heping you're too fast for my own patches ;-)

Regarding the affected ports devel/py-Shapely and databases/spatialite,
maybe this patch should be applied together with their updates to avoid
breaking them.

Best regards,
Konstantin Saurbier
Comment 5 Martin Wilke freebsd_committer 2009-04-11 09:12:45 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2009-04-11 09:12:55 UTC
miwi        2009-04-11 08:12:38 UTC

  FreeBSD ports repository

  Modified files:
    graphics/geos        Makefile distinfo pkg-plist 
  Removed files:
    graphics/geos/files  
                         patch-source-headers-geos-precision-Makefile.in 
  Log:
  - Update to 3.1.0
  
  PR:             133107
  Submitted by:   Wen Heping <wenheping@gmail.com>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.21      +1 -1      ports/graphics/geos/Makefile
  1.12      +3 -3      ports/graphics/geos/distinfo
  1.2       +0 -15     ports/graphics/geos/files/patch-source-headers-geos-precision-Makefile.in (dead)
  1.10      +22 -3     ports/graphics/geos/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"